<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
    $cat[$category->term_id] = $category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
    'blog_area',
    array(
        'title' => __( 'Blog Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
        //'priority' => '50',
    )
);
//ENABLE/DISABLE BLOG SECTION
$wp_customize->add_setting(
    'blog_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'blog_section_disable',
        array(
            'settings'      => 'blog_section_disable',
            'section'       => 'blog_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'blog', 'blog_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'blog_area_blogsectionpadding', 'blog_area', 'Section Padding');

$wp_customize->add_setting(
    'blog_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaTpadding',
    array(
        'settings'      => 'blog_areaTpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'blog_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaBpadding',
    array(
        'settings'      => 'blog_areaBpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'blogarea_conwidth', 'blog_area', 'Section Width ');

$wp_customize->add_setting('blog_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'blog_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'blog_area', // Replace with your actual section ID
    'settings' => 'blog_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'blogearea_headingaling', 'blog_area', 'Heading Alignment ');

$wp_customize->add_setting('blog_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'left'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'blog_maintitle_align', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'blog_area', // Replace with your actual section ID
    'settings' => 'blog_maintitle_align',
    'choices'=>array(
       'left' => 'Left',
       'center' => 'Center',
       'right' => 'Right',
    )
) ) );



$wp_customize->add_setting(
    'blog_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'blog_title_subtitle_heading',
        array(
            'settings'      => 'blog_title_subtitle_heading',
            'section'       => 'blog_area',
            'label'         => __( 'Section Sub Heading & Heading', 'luzuk-premium' ),
        )
    )
);


lzCustomLable($wp_customize, 'blogarea_subheadingcase', 'blog_area', 'Sub Heading Style');

$wp_customize->add_setting('blog_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'blog_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'blog_area', // Replace with your actual section ID
    'settings' => 'blog_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );



$wp_customize->add_setting(
    'blog_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Blog Post', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_txt',
    array(
        'settings'      => 'blog_txt',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'blogarea_headingtxtclr', 'blog_area', 'Sub Heading Color', '#505050');

addColorPalatOption($wp_customize, 'blogarea_subHeadingbrd', 'blog_area', 'Sub Heading Border Color', '#BCBCBC');

lzCustomLable($wp_customize, 'blogarea_headingcase', 'blog_area', 'Heading Style');

$wp_customize->add_setting('blog_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'blog_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'blog_area', // Replace with your actual section ID
    'settings' => 'blog_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );

$wp_customize->add_setting(
    'blog_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'News & Updates', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_title',
    array(
        'settings'      => 'blog_title',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'blogarea_headingclr', 'blog_area', 'Heading Color', '#000');



lzCustomLable($wp_customize, 'blog_area_blogspost', 'blog_area', 'Number Of Post ');
//BLOG SETTINGS
$wp_customize->add_setting(
    'blog_post_count',
    array(
        'default'           => '4',
        'sanitize_callback' => 'luzuk_sanitize_choices'
    )
);
$wp_customize->add_control(
    new luzuk_Dropdown_Chooser(
        $wp_customize,
        'blog_post_count',
        array(
            'settings'      => 'blog_post_count',
            'section'       => 'blog_area',
            'label'         => __( 'Number Of Post To Show', 'luzuk-premium' ),
            'choices'       => $luzuk_post_count_choice
        )
    )
);


// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
    'premium_blog_area',
    array(
        'title' => __( 'Blog Page Settings', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
        'priority' =>19
    )
);

$wp_customize->add_setting('blog_categories_settings', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control('blog_categories_settings', array(
    'settings' => 'blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'luzuk-premium'),
    'section'  => 'lpremium_blog_area',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','luzuk-premium'),
        '1' => __('Full Posts','luzuk-premium'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('luzuk_blog_categories', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Checkbox_Multiple(
        $wp_customize,
        'luzuk_blog_categories',
        array(
            'label' => __('Exclude Category From Blog Posts', 'luzuk-premium'),
            'section' => 'premium_blog_area',
            'settings' => 'luzuk_blog_categories',
            'choices' => $luzuk_cat
        )
    )
);

lzCustomLable($wp_customize, 'blog_area_color', 'blog_area', 'Section Color');

addColorPalatOption($wp_customize, 'blogarea_imghvclr', 'blog_area', 'Image Hover Color', '#EBF5F5');

addColorPalatOption($wp_customize, 'blogarea_iconadminclr', 'blog_area', 'Date & Author Name Color', '#696969');

addColorPalatOption($wp_customize, 'blogarea_Titleclr', 'blog_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'blogarea_Titlehvclr', 'blog_area', 'Title Hover Color', '#7F7F7F');

addColorPalatOption($wp_customize, 'blogarea_textclr', 'blog_area', 'Text Color', '#7F7F7F');

lzCustomLable($wp_customize, 'blogsec_btnclr', 'blog_area' , 'Section Box Button');

$wp_customize->add_setting(
    'blogbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'blogbtn_text',
    array(
        'settings'      => 'blogbtn_text',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'blogarea_btntextclr', 'blog_area', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'blogarea_btnbrdclr', 'blog_area', 'Button Border Color', '#A7A7A7');


lzCustomLable($wp_customize, 'blgallsec_btnclr', 'blog_area' , 'Our Section Button');

$wp_customize->add_setting(
    'blgbttn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'View more articles', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'blgbttn_text',
    array(
        'settings'      => 'blgbttn_text',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('blgbttnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('blgbttnlink',
    array(
        'settings'      => 'blgbttnlink',
        'section'       => 'blog_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'blgdec_btntxtclr', 'blog_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'blgdec_btntxthvclr', 'blog_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'blgdec_btnBGclr', 'blog_area', 'Button BG Color', '#1B4446');

addColorPalatOption($wp_customize, 'blgdec_btnBGhvclr', 'blog_area', 'Button BG Hover Color', '#456c6f');
